Bug 642622 - [apache] ServerName with a port spec confuses the discovery
[apache] ServerName with a port spec confuses the discovery
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon241-bugs 643563
  Show dependency treegraph
 
Reported: 2010-10-13 08:52 EDT by Lukas Krejci
Modified: 2011-05-23 21:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-10-13 08:52:49 EDT
Description of problem:
According to the docs, the ServerName directive value has the following format:
[scheme://]fully-qualified-domain-name[:port]

However if the scheme or port part is specified in the name, the plugin fails to discover the corresponding resource.

If such ServerName is specified in the main server config, the plugin fails to even discover the server. If such ServerName is present in the vhost, that vhost is not discovered.

Version-Release number of selected component (if applicable):
3.0.0

How reproducible:
always

Steps to Reproduce:
1. Define ServerName http://localhost:80/ in the main httpd.conf
2. Let RHQ run the discovery
3. No apache gets discovered
4. Repeat 1. - 3. with the ServerName defined in some vhost
5. The corresponding vhost doesn't get discovered
  
Actual results:
$STEPS

Expected results:
The discovery should run fine in all the tested cases

Additional info:
Comment 1 Sudhir D 2010-10-22 06:51:38 EDT
Verified on the latest build of rhq-server-4.0.0-SNAPSHOT. 

The auto discovery works as expected for all the steps mentioned in previous comment. 

Marking this bug as verified.
Comment 2 Sunil Kondkar 2010-11-18 06:20:49 EST
Verified this against jon-server-2.4.1-SNAPSHOT build# 24. 

Defined ServerName directive http://localhost:80/ in the main httpd.conf and in a vhost.

Apache gets discovered displaying the ServerName in main and vhost as defined.
Comment 3 Corey Welton 2011-05-23 21:11:40 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:11:41 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.